package format

import (
	"gitlab.com/ics_cinnamon/joy4/av/avutil"
	"gitlab.com/ics_cinnamon/joy4/format/aac"
	"gitlab.com/ics_cinnamon/joy4/format/flv"
	"gitlab.com/ics_cinnamon/joy4/format/mp4"
	"gitlab.com/ics_cinnamon/joy4/format/rtmp"
	"gitlab.com/ics_cinnamon/joy4/format/rtsp"
	"gitlab.com/ics_cinnamon/joy4/format/ts"
)

func RegisterAll() {
	avutil.DefaultHandlers.Add(mp4.Handler)
	avutil.DefaultHandlers.Add(ts.Handler)
	avutil.DefaultHandlers.Add(rtmp.Handler)
	avutil.DefaultHandlers.Add(rtsp.Handler)
	avutil.DefaultHandlers.Add(flv.Handler)
	avutil.DefaultHandlers.Add(aac.Handler)
}
